%define anolis_release 2

Name:               python-iniconfig
Version:            1.1.1
Release:            %{anolis_release}%{?dist}
Summary:            Brain-dead simple parsing of ini files
License:            MIT
URL:                http://github.com/RonnyPfannschmidt/iniconfig
BuildArch:          noarch
BuildRequires:      python3-devel
BuildRequires:      python3-py

Source0:            %{pypi_source iniconfig}

# pytest 6+ needs this and this uses pytest for tests
%bcond_without tests

%global _description %{expand:
iniconfig is a small and simple INI-file parser module
having a unique set of features:

* tested against Python2.4 across to Python3.2, Jython, PyPy
* maintains order of sections and entries
* supports multi-line values with or without line-continuations
* supports "#" comments everywhere
* raises errors with proper line-numbers
* no bells and whistles like automatic substitutions
* iniconfig raises an Error if two sections have the same name.}
%description %_description


%package -n python3-iniconfig
Summary:            %{summary}
%description -n python3-iniconfig %_description

%package -n     python3-iniconfig-doc
Summary:        doc files for python3-iniconfig
Requires:       python3-iniconfig = %{version}-%{release}

%description -n python3-iniconfig-doc
doc files for python3-iniconfig

%prep
%autosetup -n iniconfig-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files iniconfig


%if %{with tests}
%check
%tox
%endif


%files -n python3-iniconfig -f %{pyproject_files}
%license LICENSE

%files -n python3-iniconfig-doc
%doc README.txt

%changelog
* Thu Mar 16 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1.1-2
- Rebuild with python3.11

* Thu Mar 16 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1.1-1
- Init upstream from version 1.1.1
